.\"
.\"Copyright (c) 2023 Sean Davies <skd@skd.id.au>
.\"
.\"Permission to use, copy, modify, and distribute this software for any
.\"purpose with or without fee is hereby granted, provided that the above
.\"copyright notice and this permission notice appear in all copies.
.\"
.\"THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
.\"WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
.\"MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
.\"ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
.\"WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
.\"ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
.\"OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.Dd $Mdocdate: February 25 2023 $
.Dt XEN-IFACE 8
.Os
.Sh NAME
.Nm xen-iface
.Nd inform Xen of IPs bound to the VM
.Sh SYNOPSIS
.Nm
.Op Fl cd
.Sh DESCRIPTION
.Nm
is a utility that informs Xen of the IP addresses bound to the VM virtual
interfaces.
Optionally, all interfaces within the XenStore with IP addresses assigned can
be cleared before being updated.
.Pp
The following command first needs to be run on the Xen host.
.Bd -literal -offset indent
# xe vm-param-set uuid=<VM_UUID> platform:viridian=false
.Ed
.Pp
This script can be called from
.Pa /etc/rc.local
to allow interface information to be exchanged on boot.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl c
Clear any IP addresses bound to XenStore vif keys.
.It Fl d
Debug mode.
Print the
.Xr hostctl 8
commands and exit.
.El
.Sh EXIT STATUS
.Ex -std
.Sh SEE ALSO
.Xr pvbus 4 ,
.Xr xen 4 ,
.Xr hostctl 8 ,
.Xr rc 8
.Sh AUTHORS
.An Sean Davies Aq Mt skd@skd.id.au
